html, body {
  overflow-x: hidden;
}

/**
 * Enable smooth scrolling on the whole document
 */
html {
  scroll-behavior: smooth;
}

/**
 * Disable smooth scrolling when users have prefers-reduced-motion enabled
 */
@media screen and (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

/**
 * Add .section to every anchored element for scroll margin
 */
.section {
  scroll-margin-top: 2rem;
}

/* Header */
.site-title {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 3rem;
  text-decoration: none;
}

@media (min-width: 48em) {
  .site-title {
    float: left;
  }
}

.nav-link {
  font-weight: 700;
  color: rgba(0, 0, 0, 0.8) !important;
}

.social-nav .nav-link {
  padding: 0 0.5rem;
  font-size: 1.1rem;
  line-height: 2.5rem;
}

.nav-link:hover,
.nav-link:focus,
.active .nav-link {
  color: rgba(0, 0, 0, 0.6) !important;
}

/* Hero (intro) section */
.intro-title {
  font-weight: 800;
}

@-webkit-keyframes animateWave {
  0% {
    transform: scale(1, 0);
  }
  100% {
    transform: scale(1, 1);
  }
}

@keyframes animateWave {
  0% {
    transform: scale(1, 0);
  }
  100% {
    transform: scale(1, 1);
  }
}

.wave-bg {
  display: block;
  height: 220px;
  width: 100%;
  min-width: 600px;
  transform-origin: top;
  -webkit-animation: animateWave 2000ms cubic-bezier(0.23, 1, 0.32, 1) forwards;
          animation: animateWave 2000ms cubic-bezier(0.23, 1, 0.32, 1) forwards;
  background-image: url("../images/wave-bg.svg");
  background-position: center;
  background-repeat: no-repeat;
}

img.avatar {
  border-radius: 30px;
}

/* Masonary grid for portfolio */
.grid:after {
  content: '';
  display: block;
  clear: both;
}

/* Grid Item */
.grid-sizer,
.grid-item {
  width: 100%;
}

.grid-item {
  padding-bottom: 12px;
}

@media (min-width: 48em) {
  .grid-sizer,
  .grid-item {
    width: 25%;
  }
  .grid-item {
    float: left;
    padding: 6px;
  }
}

.grid-item img {
  display: block;
  width: 100%;
  max-width: 100%;
}

/* Portfolio */
.portolio-section .container {
  padding: 0;
}

.portfolio-item {
  position: relative;
  overflow: hidden;
  text-align: center;
  margin: 0;
}

.portfolio-item figcaption {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 12px;
  background: rgba(255, 255, 255, 0.75);
  transition: transform 0.35s;
  transform: translate3d(0, 100%, 0);
}

.portfolio-item figcaption h4 {
  color: #222;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 700;
  margin-bottom: 3px;
}

.portfolio-item figcaption p {
  color: #444;
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0;
}

.portfolio-item:hover figcaption {
  transform: translate3d(0, 0, 0);
}

/* Portolio Caption */
#bp_container .bp-xc {
  background: #006EE5 !important;
}

#bp_caption a {
  text-decoration: none;
}

/* Footer section */
footer a:not(.nav-link) {
  color: inherit;
  font-weight: 600;
  text-decoration: none;
  cursor: pointer;
}

/* Scroll Top */
#scrolltop {
  display: block;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.5s ease-in;
  position: fixed;
  bottom: 20px;
  right: 20px;
}

#scrolltop .btn {
  padding: 3px 11px;
  border-radius: 50%;
}

/* Additional utility styles */
.container-narrow {
  max-width: 1024px;
  margin: 0 auto;
}

.text-small {
  font-size: 0.875rem;
}

.text-uppercase {
  letter-spacing: 0.05em;
}

.hover-effect {
  transition: transform .18s ease-in-out;
}

.hover-effect:hover {
  transform: translateY(-2px);
}

.marker {
  position: relative;
  display: inline;
  width: auto;
}

.marker-center {
  padding-right: 0;
}

.marker:after {
  content: "";
  width: 125px;
  height: 30px;
  position: absolute;
  bottom: -25px;
  right: -30px;
  background-image: url("../images/marker.svg");
  background-repeat: no-repeat;
}

.marker-center:after {
  bottom: -30px;
  left: 50%;
  margin-left: -60px;
}

@media (max-width: 575.98px) {
  .marker {
    padding-right: 0;
  }
  .marker:after {
    bottom: -30px;
    left: 50%;
    margin-left: -60px;
  }
}

.entry-title a {
  text-decoration: none;
}
